﻿using Microsoft.AspNetCore.Identity;
using Microsoft.EntityFrameworkCore;

namespace April.Data
{
    public class IdentityDbContext : Microsoft.AspNetCore.Identity.EntityFrameworkCore.IdentityDbContext
    {
        public IdentityDbContext(DbContextOptions<IdentityDbContext> options)
            : base(options)
        {
        }

        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            base.OnModelCreating(modelBuilder);

            modelBuilder.Entity<IdentityUser>(entity => { entity.ToTable("AprilManager_AspNetUsers"); });
            modelBuilder.Entity<IdentityRole>(entity => { entity.ToTable("AprilManager_AspNetRoles"); });
            modelBuilder.Entity<IdentityUserRole<string>>(entity => { entity.ToTable("AprilManager_AspNetUserRoles"); });
            modelBuilder.Entity<IdentityUserClaim<string>>(entity => { entity.ToTable("AprilManager_AspNetUserClaims"); });
            modelBuilder.Entity<IdentityUserLogin<string>>(entity => { entity.ToTable("AprilManager_AspNetUserLogins"); });
            modelBuilder.Entity<IdentityUserToken<string>>(entity => { entity.ToTable("AprilManager_AspNetUserTokens"); });
            modelBuilder.Entity<IdentityRoleClaim<string>>(entity => { entity.ToTable("AprilManager_AspNetRoleClaims"); });
        }
    }
}