﻿using Newtonsoft.Json;
using System.ComponentModel.DataAnnotations;

namespace April.Models
{
    public class DepositData
    {
        [Key]
        [JsonProperty(PropertyName = "id")]
        public string Id { get; set; }
        [JsonProperty(PropertyName = "partitionKey")]
        public string PartitionKey { get; set; }
        public long Deal { get; set; }
        public long Time { get; set; }
        public DateTimeOffset TimeOffset { get; set; }
        public long Login { get; set; }
        public string Name { get; set; }
        public string Currency { get; set; }
        public double Value { get; set; }
        public string Comment { get; set; }
    }

    public class TradeData
    {
        [Key]
        [JsonProperty(PropertyName = "id")]
        public string Id { get; set; }
        [JsonProperty(PropertyName = "partitionKey")]
        public string PartitionKey { get; set; }
        public string Group { get; set; }
        public string Currency { get; set; }
        public long Login { get; set; }
        public string Name { get; set; }
        public long Order { get; set; }
        public long Time { get; set; }
        public DateTimeOffset TimeOffset { get; set; }
        public string Action { get; set; }
        public string Symbol { get; set; }
        public double Lots { get; set; }
        public double Commission { get; set; }
    }

    public class TradingAccountData
    {
        [Key]
        [JsonProperty(PropertyName = "id")]
        public string Id { get; set; }
        [JsonProperty(PropertyName = "partitionKey")]
        public string PartitionKey { get; set; }
        public long? Login { get; set; }
        public string Name { get; set; }
        public string Group { get; set; }
        public string Currency { get; set; }
        public double Balance { get; set; }
        public long Leverage { get; set; }
        public string Tester { get; set; }
        public long HoldingPositions { get; set; }
        public double MarginLevel { get; set; }
        public double Profit { get; set; }
        public double PF { get; set; }
        public double LongWinningRate { get; set; }
        public double ShortWinningRate { get; set; }
        public double WinningRate { get; set; }
        public double AverageProfit { get; set; }
        public double AverageLoss { get; set; }
        public double MaxProfit { get; set; }
        public double MaxLoss { get; set; }
    }

    public class WithdrawalData
    {
        [Key]
        [JsonProperty(PropertyName = "id")]
        public string Id { get; set; }
        [JsonProperty(PropertyName = "partitionKey")]
        public string PartitionKey { get; set; }
        public long Deal { get; set; }
        public long Time { get; set; }
        public DateTimeOffset TimeOffset { get; set; }
        public long Login { get; set; }
        public string Name { get; set; }
        public string Currency { get; set; }
        public double Value { get; set; }
        public string Comment { get; set; }
    }
}